#ifndef SERVER_H
#define SERVER_H

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h> /* close */
#include <netdb.h> /* gethostbyname */
#define INVALID_SOCKET -1
#define SOCKET_ERROR -1
#define closesocket(s) close(s)
#define BUF_SIZE	1024
typedef int SOCKET;
typedef struct sockaddr_in SOCKADDR_IN;
typedef struct sockaddr SOCKADDR;
typedef struct in_addr IN_ADDR;
typedef struct{
   SOCKET sock;
   char name[BUF_SIZE];
}Client;

#endif

#define CRLF		"\r\n"
#define PORT	 	4000
#define MAX_CLIENTS 	1


static void app(void);
static int init_connection(void);
static void end_connection(int sock);
static int read_client(SOCKET sock, char *buffer);
static void write_client(SOCKET sock, const double *signal);
void application(char *buffer, Client *client, int csock);
//static void write_client(SOCKET sock, const char *buffer);
