package android.application.lo53.initialization;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.StrictMode;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

/**
 * The activity that mages the home page
 * 2 buttons in order to redirect to the Access point adding interface
 * or towards the location adding interface
 */
public class Homepage extends AppCompatActivity implements  View.OnClickListener{
    Button btn_location;
    Button btn_acces_point;


    protected ProgressDialog myProgressDialog;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home_page);
        btn_acces_point = (Button) findViewById(R.id.btn_acces_points);
        btn_location = (Button) findViewById(R.id.btn_locations);
        int SDK_INT = android.os.Build.VERSION.SDK_INT;
        if (SDK_INT > 8) {
            StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
            StrictMode.setThreadPolicy(policy);

        }

        btn_location.setOnClickListener(this);
        btn_acces_point.setOnClickListener(this);


    }
    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.btn_locations:
                //wifi managing
                startActivity(new Intent(this, Locations.class));
                // myProgressDialog = ProgressDialog.show(this,"", "Chargement", true);
                //
                break;
            case  R.id.btn_acces_points:
                startActivity(new Intent(this, AccessPoint.class));
                break;

        }
    }

}
