package android.application.lo53.initialization;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.StrictMode;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

/**
 * The activity that manages the adding locations interface
 */
public class Locations extends AppCompatActivity implements  View.OnClickListener{
    Button btnsendx_y;
    Button btn_back;
    EditText txt_y, txt_x;

    Connexion cnx;

    String msg_afficher="ERROR";
    protected ProgressDialog myProgressDialog;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_locations);
        btnsendx_y = (Button) findViewById(R.id.btnsendx_y);
        btn_back = (Button) findViewById(R.id.btnback);
        int SDK_INT = android.os.Build.VERSION.SDK_INT;
        if (SDK_INT > 8) {
            StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
            StrictMode.setThreadPolicy(policy);

        }
        cnx = new Connexion();
        //msg_afficher=cnx.init();
       /* if (msg_afficher.equals("200"))
            msg_afficher = "Initializing ...";
        else {
            msg_afficher = "Unable to initialize try later";
            Toast.makeText(getBaseContext(),msg_afficher , Toast.LENGTH_LONG).show();
            startActivity(new Intent(this, Homepage.class));
        }
        Toast.makeText(getBaseContext(),msg_afficher , Toast.LENGTH_LONG).show();*/
        //for(int i=0;i<5;i++){}
        msg_afficher=cnx.send_mac(this);
        if (msg_afficher.contains("200"))
            msg_afficher = "Done initialization please enter some locations";
        else {
            msg_afficher = "Unable to initialize try later";
            Toast.makeText(getBaseContext(),msg_afficher , Toast.LENGTH_LONG).show();
            startActivity(new Intent(this, Homepage.class));
        }
        Toast.makeText(getBaseContext(),msg_afficher , Toast.LENGTH_LONG).show();
        btnsendx_y.setOnClickListener(this);
        btn_back.setOnClickListener(this);
        txt_x= (EditText) findViewById(R.id.txt_x);
        txt_y= (EditText) findViewById(R.id.txt_y);

    }
    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.btnsendx_y:
                cnx.selectSSID(this,false);
                cnx.selectSSID(this,true);

                if(txt_x.getText().toString().length()==0|| txt_y.getText().toString().length()==0 ){
                    Toast.makeText(getBaseContext(),"Enter data requestested please" , Toast.LENGTH_LONG).show();
                }

                else{
                    try {
                        //cnx.send_mac(this);
                        msg_afficher = cnx.send_loc(Float.parseFloat(txt_x.getText().toString()), Float.parseFloat(txt_y.getText().toString()));
                        if(msg_afficher.equals("200")){
                            msg_afficher = "Location saved, please move";

                        }else {
                            msg_afficher = "Unable to save please try again";
                        }
                        //ProgressDialog.show(this,"", "Chargement", true);
                        txt_x.setText("");
                        txt_y.setText("");
                        Toast.makeText(getBaseContext(),msg_afficher , Toast.LENGTH_LONG).show();
                    }catch (NumberFormatException  e){
                        Toast.makeText(getBaseContext(),"Enter a float number please with '.'" , Toast.LENGTH_LONG).show();
                    }

                }
                // myProgressDialog = ProgressDialog.show(this,"", "Chargement", true);
                //
                break;
            case R.id.btnback:
                startActivity(new Intent(this, Homepage.class));
                break;

        }
    }

}
