package android.application.lo53.initialization;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.StrictMode;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

/**
 * The main activity where we
 * establish the connection
 */
public class MainActivity_SSID extends AppCompatActivity implements  View.OnClickListener{
    /**
    *declare the activity component
    */
    Button btnconnect_to_wifi;
    EditText txt_ssid;
    /**
    *declare instance for server connexion
     */
    Connexion cnx = new Connexion();
    protected ProgressDialog myProgressDialog;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        btnconnect_to_wifi = (Button) findViewById(R.id.btnconnect_to_wifi);


        int SDK_INT = android.os.Build.VERSION.SDK_INT;
        if (SDK_INT > 8) {
            StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
            StrictMode.setThreadPolicy(policy);

        }

        btnconnect_to_wifi.setOnClickListener(this);


    }
    /**
    *Manage the Click action
    *generate flux to update the device location
    *and send the location to the server
    */
    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.btnconnect_to_wifi:

                    startActivity(new Intent(this, Homepage.class));
                    btnconnect_to_wifi.setEnabled(true);

                break;


        }
    }

}
