package lo53.application.android.localisation;
/**
 * Created by houda on 01/05/2016.
 */
import android.app.ProgressDialog;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

/**
 * The main activity that manages the homepage
 * send an initialization request
 * send the mac address
 * get the first locations of the device
 */

public class Acceuil extends AppCompatActivity implements View.OnClickListener {
    /**
   * Declare the activity components
     */
    public Connexion cnx;
    private Button btnlocaliser;
    private String msg_afficher = "";
    protected ProgressDialog myProgressDialog;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_acceuil);
        /**
        *Relate the declared component to the physical components (activity )
         */
        btnlocaliser = (Button) findViewById(R.id.btnlocaliser);
        int SDK_INT = Build.VERSION.SDK_INT;
        if (SDK_INT > 8) {
            StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
            StrictMode.setThreadPolicy(policy);

        }
        /**
        *Declare a cnx in order to communicate with the server
         */
        cnx = new Connexion();
        /**
        *Initialization
         */
        //msg_afficher = cnx.init();
        Toast.makeText(getBaseContext(), msg_afficher, Toast.LENGTH_SHORT).show();
        btnlocaliser.setOnClickListener(this);


    }

    /**
    *Maging the Click listeners
     */
    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btnlocaliser:
                //Plan.SSID = txt_SSID.getText().toString();
                //boolean wifi_connection = cnx.selectSSID(this,true);
                /**
                *When the connection to the wifi succeeded
                *we start the communication with the server
                *in order to initiate the database
                            *send the mac adress
                        *and get the device location
                 */
                //if(wifi_connection== true) {

               // if (msg_afficher.contains("200"))
                {
                    msg_afficher = cnx.send_mac(this);
                    Toast.makeText(getBaseContext(), "ready to locate you ", Toast.LENGTH_SHORT).show();
                    //if (msg_afficher.contains("200"))
                    {
                        btnlocaliser.setEnabled(false);
                        msg_afficher = cnx.get_loc();
                        Toast.makeText(getBaseContext(), "Please wait we're calculating ur location", Toast.LENGTH_SHORT).show();
                        if (msg_afficher.contains("200")) {
                            btnlocaliser.setEnabled(true);
                            startActivity(new Intent(this, Plan.class));

                        } else {
                            Toast.makeText(getBaseContext(), "Unable to locate you, please try again later ", Toast.LENGTH_SHORT).show();
                            btnlocaliser.setEnabled(true);
                        }

                    } /*else {
                        Toast.makeText(getBaseContext(), "System crached, please try again later ", Toast.LENGTH_SHORT).show();
                        btnlocaliser.setEnabled(true);
                    }*/
                    // myProgressDialog = ProgressDialog.show(this, "", "Chargement", true);
                } /*else {
                    Toast.makeText(getBaseContext(), "Unable to initialize the system, please try again later ", Toast.LENGTH_SHORT).show();
                    btnlocaliser.setEnabled(true);
                }*/

               /* }
                else
                    Toast.makeText(getBaseContext(), "Unable to connect to the given SSID please enter a correct one ", Toast.LENGTH_SHORT).show();
               */
                break;

        }
    }
}