package lo53.application.android.localisation;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.graphics.Point;
import android.graphics.PointF;
import android.media.Image;
import android.net.Uri;
import android.os.Build;
import android.os.StrictMode;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.FloatMath;
import android.view.Display;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;


import static java.lang.Math.floor;
import static java.lang.Math.sqrt;

public class Plan extends AppCompatActivity implements View.OnClickListener {
    //the scale
    Location echelle = new Location(0, 0);
    // location
    static Location loc = new Location();
    //wifi SSid
    static String SSID;
     /*
     Components declaration
      */
    ImageView img_marcker;
    ImageView img_plan;
    Button btn_back;
    /*
    the message that will be shown in the mobile screen after an excution
     */
    String msg_afficher;
    /*
    declare a connexion for the communication with the server
     */
    Connexion cnx = new Connexion();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_plan);
        int SDK_INT = Build.VERSION.SDK_INT;
        if (SDK_INT > 8) {
            StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
            StrictMode.setThreadPolicy(policy);

        }
        /*
        relate the declared components with the activity components
         */
        btn_back = (Button) findViewById(R.id.btn_back);
        btn_back.setOnClickListener(this);

        img_marcker = (ImageView) findViewById(R.id.marcker);
        img_marcker.setVisibility(View.VISIBLE);
        img_marcker.bringToFront();

        img_plan = (ImageView) findViewById(R.id.img_plan);

        //Create the mac adress
        msg_afficher=cnx.send_mac(this);
    }
    /**
    *After the window is charged  get the size of the plan image
    *set the scale
    *and put the marcker in the convenient coordinations
     */
    @Override
    public void onWindowFocusChanged(boolean hasFocus){
        Display display = getWindowManager().getDefaultDisplay();
        Point size = new Point();
        display.getSize(size);
        echelle.setY(size.y - img_plan.getHeight());
        /**
        *loop to update the location on the Plan picture
        *until a stop request is sent from the Server
          */
        do {
        //Put the marcker on the image with the giving scale
        img_marcker.setX( echelle.getX()+loc.getX());
        img_marcker.setY(echelle.getY()+loc.getY());
        Toast.makeText(getBaseContext(), "Now u're in : "+Plan.loc.getX()+";"+Plan.loc.getY(), Toast.LENGTH_SHORT).show();
        /*cnx.selectSSID(this,false);
        cnx.selectSSID(this,true);*/
        while (cnx.génére()!=200);
        for (int i = 0; i < 900000000; ++i) {}
        msg_afficher=cnx.get_loc();
         }while (msg_afficher.contains("200"));
    }
    /*
    handle the click
     */
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_back:
                startActivity(new Intent(this, Acceuil.class));
                break;

        }
    }


}
